From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/libnice/
Date: Tue, 8 Mar 2022 13:48:01 +0000 (UTC) [thread overview]
Message-ID: <1646746331.57cfef22994f07040988797a637abe6014415c62.sam@gentoo> (raw)
commit: 57cfef22994f07040988797a637abe6014415c62
Author: Igor V. Kovalenko <igor.v.kovalenko <AT> gmail <DOT> com>
AuthorDate: Sun Feb 13 18:56:35 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Mar 8 13:32:11 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=57cfef22
net-libs/libnice: bump to 0.1.18
Signed-off-by: Igor V. Kovalenko <igor.v.kovalenko <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>
net-libs/libnice/Manifest | 1 +
net-libs/libnice/libnice-0.1.18.ebuild | 52 ++++++++++++++++++++++++++++++++++
2 files changed, 53 insertions(+)
diff --git a/net-libs/libnice/Manifest b/net-libs/libnice/Manifest
index dc6cbc3cb4de..9de362f71b3d 100644
--- a/net-libs/libnice/Manifest
+++ b/net-libs/libnice/Manifest
@@ -1 +1,2 @@
DIST libnice-0.1.15.tar.gz 1064100 BLAKE2B 81f06ba599b01084586a8d904b9ae513d6bc3531ec42674648fda320eea6cd9348acf423571922bab4e338bf135f85b292046352ed6f5e4fefba736d787b1ff1 SHA512 60a8bcca06c0ab300dfabbf13e45aeac2085d553c420c5cc4d2fdeb46b449b2b9c9aee8015b0662c16bd1cecf5a49824b7e24951a8a0b66a87074cb00a619c0c
+DIST libnice-0.1.18.tar.gz 439791 BLAKE2B 6bb68bb1484b4a622a580bc9c66b8be260d2615b211cf7991cb50a9f692df525cd0c3c9fc54ef86534426f396f8d2201966cdacfd3f69ff27193971f95886540 SHA512 08bac05874708f7e7a669d28727d8951a10c464b22dd6fada1a4644850bcf5c4cc022cce46bb24c806086a7869b274c4c7d3d6ddaa9ed0ce0bc2c47f72933227
diff --git a/net-libs/libnice/libnice-0.1.18.ebuild b/net-libs/libnice/libnice-0.1.18.ebuild
new file mode 100644
index 000000000000..919438e7f7b6
--- /dev/null
+++ b/net-libs/libnice/libnice-0.1.18.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit meson-multilib xdg
+
+DESCRIPTION="An implementation of the Interactice Connectivity Establishment standard (ICE)"
+HOMEPAGE="https://nice.freedesktop.org/wiki/"
+SRC_URI="https://nice.freedesktop.org/releases/${P}.tar.gz"
+
+LICENSE="|| ( MPL-1.1 LGPL-2.1 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE="+gnutls +introspection +upnp"
+
+RDEPEND="
+ >=dev-libs/glib-2.48:2[${MULTILIB_USEDEP}]
+ introspection? ( >=dev-libs/gobject-introspection-1.30.0:= )
+ gnutls? ( >=net-libs/gnutls-2.12.0:0=[${MULTILIB_USEDEP}] )
+ !gnutls? (
+ dev-libs/openssl:0=[${MULTILIB_USEDEP}] )
+ upnp? ( >=net-libs/gupnp-igd-0.2.4:=[${MULTILIB_USEDEP}] )
+"
+DEPEND="${RDEPEND}
+ dev-util/glib-utils
+ >=dev-util/gtk-doc-am-1.10
+ virtual/pkgconfig
+"
+
+multilib_src_configure() {
+ # gstreamer plugin split off into media-plugins/gst-plugins-libnice
+ local emesonargs=(
+ -Dgstreamer=disabled
+ -Dcrypto-library=$(usex gnutls gnutls openssl)
+ $(meson_native_use_feature introspection)
+ $(meson_feature upnp gupnp)
+ )
+
+ meson_src_configure
+
+ #if multilib_is_native_abi; then
+ # ln -s {"${S}"/,}docs/reference/libnice/html || die
+ #fi
+}
+
+multilib_src_install_all() {
+ einstalldocs
+}
+
+multilib_src_test() {
+ emake -j1 check
+}
next reply other threads:[~2022-03-08 13:48 UTC|newest]
Thread overview: 51+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-03-08 13:48 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-04 17:07 [gentoo-commits] repo/gentoo:master commit in: net-libs/libnice/ Arthur Zamarin
2024-11-09 19:41 Andreas Sturmlechner
2024-10-27 6:50 Arthur Zamarin
2024-10-26 3:49 Sam James
2024-10-25 23:44 Sam James
2024-10-25 22:21 Sam James
2024-09-24 7:08 Sam James
2024-09-17 16:00 Sam James
2024-09-17 16:00 Sam James
2024-09-16 13:52 Petr Vaněk
2024-09-16 13:28 Petr Vaněk
2024-07-05 17:41 Conrad Kostecki
2023-10-10 5:42 Joonas Niilola
2023-10-09 6:18 Sam James
2023-10-09 4:36 Sam James
2023-10-09 4:36 Sam James
2023-05-30 18:05 Sam James
2023-05-13 0:43 Sam James
2023-04-13 8:13 Ulrich Müller
2023-04-13 8:11 Ulrich Müller
2022-11-25 3:08 Matt Turner
2022-10-31 14:28 Matt Turner
2022-07-21 2:04 Matt Turner
2022-07-21 0:13 Sam James
2022-07-18 23:41 Sam James
2022-07-18 17:44 Sam James
2022-07-06 1:24 Sam James
2022-07-02 20:47 Sam James
2022-05-31 9:24 Jakov Smolić
2022-05-28 5:45 Sam James
2022-05-28 5:38 Sam James
2022-05-28 5:05 Sam James
2022-05-28 1:27 Sam James
2022-05-28 1:20 Sam James
2022-05-08 19:02 Matt Turner
2022-05-08 19:02 Matt Turner
2022-03-08 13:48 Sam James
2022-03-08 13:48 Sam James
2022-03-08 13:48 Sam James
2021-05-02 10:16 Mikle Kolyada
2020-02-12 11:46 Mart Raudsepp
2020-01-17 13:05 Agostino Sarubbo
2019-10-09 8:27 Agostino Sarubbo
2019-07-03 7:11 Agostino Sarubbo
2019-06-27 12:35 Agostino Sarubbo
2019-06-17 10:07 Mikle Kolyada
2019-05-23 13:02 Mikle Kolyada
2019-02-14 11:29 Mart Raudsepp
2016-11-13 11:19 Gilles Dartiguelongue
2016-11-13 11:19 Gilles Dartiguelongue
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1646746331.57cfef22994f07040988797a637abe6014415c62.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox